> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search address labels

> Find labeled addresses using an address or label search.



## OpenAPI

````yaml api-reference/data-api.json get /v1/address/labels/search
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/address/labels/search:
    get:
      tags:
        - Address Information
      summary: Search address labels
      description: >-
        Search by `searchString`, and/or filter by `addresses` and `networks`.
        At least one of `addresses` or `searchString` is required.
      operationId: searchAddressLabels
      parameters:
        - name: networks
          required: false
          in: query
          description: >-
            Comma-separated list of blockchain networks to filter addresses by
            (e.g., ethereum, solana)
          schema:
            type: array
            items:
              type: string
        - name: addresses
          required: false
          in: query
          description: >-
            Comma-separated list of blockchain addresses to filter (e.g., 0x123,
            0x456)
          schema:
            example:
              - '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
            type: array
            items:
              type: string
        - name: searchString
          required: false
          in: query
          description: Substring to search for in addresses or labels (case insensitive)
          schema:
            example: vitalik
            type: string
        - name: includeNft
          required: false
          in: query
          description: Include NFT addresses in the search results
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: Matching address label rows.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AddressDetails'
components:
  schemas:
    AddressDetails:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        ecosystem:
          type: string
        name_tag:
          type: string
        category:
          type: string
        address_role:
          type: string
        entity:
          type: string
        entity_name:
          type: string
        attributes:
          type: object
        tags:
          type: array
          items:
            type: string
        entity_icon_url:
          type: string
        malicious:
          type: boolean
        is_validator:
          type: boolean
      required:
        - address
        - network
        - ecosystem
        - malicious
        - is_validator
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.